import { ICreateTenantETLAttributeSetMap } from '../../../services/api/DataHub/ETLAttributeSetMaps';

declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    modelValue: import('vue').PropType<boolean>;
    pluginName: {
        type: import('vue').PropType<string>;
        required: true;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    save: (value: ICreateTenantETLAttributeSetMap) => void;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    modelValue: import('vue').PropType<boolean>;
    pluginName: {
        type: import('vue').PropType<string>;
        required: true;
    };
}>> & Readonly<{
    onSave?: (value: ICreateTenantETLAttributeSetMap) => any;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
